Bug 187686 - Azureus always throws a SecurityException on exit.
Azureus always throws a SecurityException on exit.
Product: Fedora
Classification: Fedora
Component: azureus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-04-02 13:18 EDT by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-29 11:23:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 26990 None None None Never

  None (edit)
Description Anthony Green 2006-04-02 13:18:36 EDT
Azureus always says the follow when exited normally:

Exception in thread "main" java.lang.SecurityException: VM exit operation prohibited
   at org.gudy.azureus2.core3.security.impl.SESecurityManagerImpl$1.checkExit
   at java.lang.Runtime.exit (libgcj.so.7)

This is an upstream GNU Classpath bug (#26990).
Comment 1 Tom Tromey 2006-04-19 15:43:40 EDT
FYI - I checked in a fix for this to gcc's 4.1 branch.
It ought to show up in an FC gcc RPM sooner or later.
Comment 2 Anthony Green 2006-05-29 11:23:18 EDT
The FC5 gcc was just updated, so this is fixed now.

Note You need to log in before you can comment on or make changes to this bug.